GET /pricelists/{listId}

Retrieve a specific pricelist by ID.

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • listId integer Required

    The unique identifier of the pricelist

Responses

  • 200 application/json

    OK

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • id integer Required

      Unique identifier of the pricelist

    • name string Required

      Name of the pricelist

    • description string | null

      Optional description of the pricelist

    • currencyCode string Required

      Currency code (e.g., LOCAL, USD, EUR)

    • isInclusiveTax boolean Required

      Whether prices include tax

  • 401

    Unauthorized. Missing or invalid bearer token.

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 404

    Pricelist not found.

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
GET /pricelists/{listId}
curl \
 --request GET 'https://rest.api.24sevenoffice.com/v1/pricelists/{listId}' \
 --header "Authorization: string"
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
{
  "id": 2,
  "name": "Price 2",
  "description": "string",
  "currencyCode": "LOCAL",
  "isInclusiveTax": false
}